import com.partnersoft.system.SystemServices;
import com.partnersoft.data.*;
import java.util.ArrayList;
import com.partnersoft.io.vfs.*;
import com.partnersoft.system.RuntimeLib;
import com.partnersoft.system.OSLib;


// run apache to ensure the required dll's exist on this OS
module = SystemServices.moduleManager().moduleNamed("Apache");
VfsDirectory binaryDir = module.getDirectory().directoryFor("os/windows/applications/Apache/bin/");
exeFile = binaryDir.fileFor("httpd.exe");

String [] command  = new String[2];
command[0] = exeFile.toFile().getAbsolutePath();
command[1] = "-v";

result = RuntimeLib.execAndWait(command, binaryDir.toFile());

if(result == 0) {
	log.info("Apache is ready to rock!");
	return;
}

//check to see if the error indicates a missing dll
String resultString = ConversionLib.forceToString(result);

shortErrorMessage = "";
errorBuilder = new StringBuilder();

if(resultString.startsWith("-10737")){
	shortErrorMessage = "The 2012 Visual C++ libraries are not installed.";
	errorBuilder.append(shortErrorMessage + ".\n");	
	errorBuilder.append("Download the package from the following url:\n");
	errorBuilder.append("http://www.microsoft.com/en-us/download/details.aspx?id=30679\n");
} else {
	shortErrorMessage = "There was an error running Apache, the error code was: " + result;
	errorBuilder.append(shortErrorMessage + ".\n");	
	errorBuilder.append("See the Troubleshooting manual.");
}

log.error(errorBuilder.toString());

// add the error to the list of critical errors so the UpgradeService module will flag it
criticals.add(shortErrorMessage);

file = module.getDirectory().fileFor("doc/manual/Troubleshooting.html");
OSLib.browse("file:///" + file.getAbsolutePath().toFileString());
