import com.partnersoft.system.SystemServices;
import com.partnersoft.io.vfs.VfsLib;

log.info("Looking for redundant PHP config file.");

phpModule = SystemServices.moduleManager().moduleNamed("PHP");
configDir = phpModule.getConfigDirectory();

// if no config directory, bail early
if(!VfsLib.directoryExists(configDir)) {
	log.info("Redundant file not found.");
	return;
}

// look for specific file name
conf_file = configDir.fileFor("save_path.conf");

// try to delete if found
// if delete fails, warn but continue
if(VfsLib.fileExists(conf_file)) {
	log.info("Found redundant PHP config file, will try to delete it.");

	try{
		conf_file.remove();
		log.info("Successfully removed save_path.conf");
	}catch(Exception e) {
		log.warn("Couldn't remove file " + conf_file.getPath() + "/" + conf_file.getName());
	}
} else {
	log.info("Redundant file not found.");
}
