import com.partnersoft.modules.upgradeservice.lib.SettingsLib;
import com.partnersoft.data.ConversionLib;
import com.partnersoft.data.Naming;
import com.partnersoft.scripting.ScriptLib;

COMPONENT_NAME = "MilsoftIntegration";
settingsVars = SettingsLib.getComponentSettings(COMPONENT_NAME);
isMilsoft = ConversionLib.forceToBoolean(settingsVars.get("isMilsoft"));

if(!isMilsoft) {
	log.info("Not Milsoft, skipping scripts.");
	return;
}

inheritedVars = new Naming<>();
inheritedVars.putAll(script.getVariables());
inheritedVars.remove("log");


scriptsDir = script.getFile().getDirectory().directoryFor("scripts");

for(childScript in ScriptLib.listScriptsIn(scriptsDir)) {
	childVars = childScript.getVariables();
	childVars.putAll(inheritedVars);
	childScript.setVariables(childVars);
	childScript.runScript();
}