import com.partnersoft.system.*;
import com.partnersoft.data.*;
import com.partnersoft.modules.upgradeservice.lib.SettingsLib;
import javax.swing.JOptionPane;


COMPONENT_NAME = "MilsoftIntegration";

log.info("Determining if actions for Milsoft integration are required.");

milsoftModule = SystemServices.moduleManager().moduleNamed("MilsoftFieldEngineering");

if(milsoftModule != null) {
	log.info("Found Milsoft branded module, will apply actions for MilsoftIntegration.");
	setMilsoft(true);
}else {

	// Ask user if this is a Milsoft install
	question = "Does this install use a Staking to GIS integration with Milsoft?"
	answer = JOptionPane.showOptionDialog(null,question, "Milsoft?", JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE, null, null,null);
	
	if(answer == JOptionPane.YES_OPTION) {
		log.info("You have selected yes, will perform actions for Milsoft Integration.");
		setMilsoft(true);
	}else {
		log.info("You have selected no, will NOT perform actions for Milsoft Integration.");
		setMilsoft(false);
	}
}


private void setMilsoft(boolean isMilsoft) {
	settingsVars = SettingsLib.getComponentSettings(COMPONENT_NAME);
	settingsVars.put("isMilsoft", isMilsoft);
}



SettingsLib.saveComponentSettingsToDisk(COMPONENT_NAME);
