import com.partnersoft.system.*;
import com.partnersoft.io.vfs.*;

scriptsDir = SystemServices.vfs().directoryFor("config/customer/modules/Staker/scripts/CreateExistingLocationValidation");


// search for any other scripts containing takeoffConnection
fileList = new ArrayList();
for(file in scriptsDir.listFiles()) {
	
	if(file.getName().equalsIgnoreCase("createTakeoffLocation.groovy"))
		continue;
	
	if(file.getName().equalsIgnoreCase("createTakeoffConnection.groovy"))
		continue;
		
	log.info("Checking " + file);
	for(line in file.readTextAsLines()) {
		if(line.matches("(?i).*takeoffconnection.*")) {
			fileList.add(file);
			break;
		}
	}
}

// write results to file
resultsFile = SystemServices.vfs().fileFor("data/scriptsToPotentiallyRemove.txt");
resultsFile.writeText("" + fileList.size() + " script(s) contained a reference to takeoffConnection.");
for(file in fileList)
	resultsFile.appendText(System.lineSeparator() + file);

if(fileList.size() > 0) {
	sb = new StringBuilder();
	sb.append("Found " + fileList.size() + " script(s) in CreateExistingLocationValidation containing a reference to takeoffConnection.");
	sb.append(System.lineSeparator());
	sb.append("Make sure that the value of takeoffConnection is not being automatically set.");	
	criticals.add(sb.toString());
	log.info("Results written to file:\n" + resultsFile);
	java.awt.Desktop.getDesktop().open(resultsFile.toFile());
}

// check for generateNewGuids script
scriptsDir = SystemServices.vfs().directoryFor("config/customer/modules/Staker/scripts/SaveJobValidation");
file = scriptsDir.fileFor("generateNewGuids.groovy");
	
if(!VfsLib.fileExists(file)) {
	sb = new StringBuilder();
	sb.append("Unable to find the SaveJobValidation script named \"generateNewGuids.groovy\"");
	sb.append(System.lineSeparator());
	sb.append("Someone will need to determine which script is generating GUIDS, and add Station_ID to the fields being set.");
	criticals.add(sb.toString());
}

log.info("Finished checking for non-standard scripts.");
