import com.partnersoft.system.*;
import com.partnersoft.data.*;
import com.partnersoft.formats.tof.*;
import com.partnersoft.io.vfs.*;
import com.partnersoft.v3x.data.*;


field2remove = "priorSectionGUID";
newFieldName = "Station ID";
newFieldValue = "Station_ID";
 
filePath = "v3x/FieldDesigner/config/partner/DataToLocationField.tof";
file = SystemServices.vfs().fileFor(filePath);

if(VfsLib.fileExists(file)) {
	modifyTof(file);	
}else {
	errorString = "Unable to find the file: " + filePath;
	errorString += System.lineSeparator();
	errorString += "If this is a valid Staker install, it should really be there!";
	criticals.add(errorString);
}

log.info("Finished editing DataToLocationField.tof.");

private void modifyTof(VfsFile file) {
	dataToLocationField = TofLib.readObjectFrom(file);
	field2field = CaseInsensitiveTreeMap.ensureInsensitive(dataToLocationField);	
	result = dataToLocationField.remove(field2remove);
	
	if(result != null) {
		log.info("Found and removed " + field2remove);
	}else {
		log.info("Did not find " + field2remove);
	}
	
	log.info("Adding " + newFieldValue);
	
	field2field.put(newFieldName, newFieldValue);
	TofLib.writeObjectTo(field2field, file);
}
