import com.partnersoft.system.SystemServices;
import com.partnersoft.system.Module;
import com.partnersoft.io.vfs.VfsLib;
/**
 * Replace the standard Coordinate Display script with a new one using updated libraries.
 */

coordDisplayDirectory = SystemServices.vfs().directoryFor("config/customer/mapspaces/Standard/scripts");
oldCoordinateDisplayScript = coordDisplayDirectory.fileFor("Coordinate Display.bsh");

if(VfsLib.fileExists(oldCoordinateDisplayScript)) {
	log.info("Found the old Coordinate Display script");
	log.info("Copying in groovier Coordinate Display script.");
	usmModule = SystemServices.moduleManager().moduleNamed("UpgradeService");
	newCoordinateDisplayScript = usmModule.getDirectory().fileFor("resources/ProjectionChanges/Coordinate Display.groovy");
	destinationScript = coordDisplayDirectory.fileFor("Coordinate Display.groovy");
	newCoordinateDisplayScript.copyTo(destinationScript);
	
	log.info("Removing old Coordinate Display script.")
	oldCoordinateDisplayScript.remove();
	
	log.info("Finished replacing Coordinate Display script - success!");
}else {
	log.info("There isn't an old Coordinate Display script that needs to be replaced - success!")
}
	

	

